Download it now!
Bug 112566 - FILESAVE XLSX Spreadsheets with data validation from external file XLSX export issue when the external file is not present
Summary: FILESAVE XLSX Spreadsheets with data validation from external file XLSX expor...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: XLSX-Corrupted
  Show dependency treegraph
 
Reported: 2017-09-22 09:27 UTC by Gabor Kelemen
Modified: 2018-11-06 18:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The source data file. (15.36 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-09-22 09:27 UTC, Gabor Kelemen
Details
The original file created with Microsoft Excel 2013. (15.97 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-09-22 09:27 UTC, Gabor Kelemen
Details
The original file resaved as XLSX with LibreOffice Calc while the source file was still available. (15.41 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-09-22 09:29 UTC, Gabor Kelemen
Details
The original file resaved as XLSX with LibreOffice Calc without the source file being available (this file showcases the bug). (12.54 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-09-22 09:29 UTC, Gabor Kelemen
Details
The original file resaved as XLSX in Microsoft Excel 2013 without the source file being available (for reference). (15.99 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-09-22 09:30 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-09-22 09:27:07 UTC
Created attachment 136456 [details]
The source data file.

If an XLSX spreadsheet created with Microsoft Excel 2013 contains data validation from an external XLSX file, and the external file is not present while the spreadsheet is saved as XLSX with LibreOffice Calc, the link to the source file is not retained and the following error message appears when the document is opened in Microsoft Excel 2013:
Removed Records: Named range from /xl/workbook.xml part (Workbook).

Steps to reproduce:
1. Create a new spreadsheet in Microsoft Excel.
2. Add values to a few cells in a column (the attached vsource.xlsx file uses raptors as an example but it should work with other kind of dinosaurs too).
3. Select the cell range that contains the data.
4. Click on the Define Name on the Formulas ribbon.
5. Give a new name to the datarange, e.g.: Raptors.
6. Save the file as vsource.xlsx, but do not close it yet!
7. Create a new spreadsheet in Excel while still keeping the previously created file open.
8. Click on the Define Name on the Formulas ribbon, give it a name (e.g.: RaptorSource) and fill out the “Refers to:” field like this: ='vsource.xlsx'!Raptors
9. Click on the Data Validation button on the Data ribbon.
10. Select the “List” option from the “Allow” drop-down list.
11. Enter the following in the Source field: =RaptorSource
12. Save it as ValidityFromExternalFile-original.xlsx and close the file.
13. Close the vsource.xlsx file.
14. Move the source data file (vsource.xlsx) to a different location.
15. Open the second spreadsheet in LibreOffice Calc and save it as a new XLSX file called ValidityFromExternalFile-LO.xlsx.
16. Open the ValidityFromExternalFile-LO.xlsx file with Microsoft Excel.

Actual results:
The link to the source file is not retained and the following error message appears when the spreadsheet is opened in Microsoft Excel 2013: Removed Records: Named range from /xl/workbook.xml part (Workbook).

Expected results:
The link to the original source file should be retained even if the file is no longer available, and the spreadsheet should open in Excel without an error message.
Comment 1 Gabor Kelemen 2017-09-22 09:27:45 UTC
Created attachment 136457 [details]
The original file created with Microsoft Excel 2013.
Comment 2 Gabor Kelemen 2017-09-22 09:29:18 UTC
Created attachment 136458 [details]
The original file resaved as XLSX with LibreOffice Calc while the source file was still available.
Comment 3 Gabor Kelemen 2017-09-22 09:29:38 UTC
Created attachment 136459 [details]
The original file resaved as XLSX with LibreOffice Calc without the source file being available (this file showcases the bug).
Comment 4 Gabor Kelemen 2017-09-22 09:30:01 UTC
Created attachment 136460 [details]
The original file resaved as XLSX in Microsoft Excel 2013 without the source file being available (for reference).
Comment 5 Aron Budea 2017-10-01 00:35:21 UTC
Confirmed with LO 6.0 daily build (2017-09-28_03:27:43, 0fa21336428b286d69684cfbb7b845f123657041) & 5.4.1.2 / Windows 7.

However, for me it doesn't work if the data source file is present, either. I didn't create my own, though, but used the two files you provided.
Comment 6 QA Administrators 2018-10-02 02:53:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug